from distutils.command.build import build

from setuptools import setup


class BuildAndCompileCatalog(build):
    """Also compile catalog when building"""

    sub_commands = [("compile_catalog", None)] + build.sub_commands


# values are in pyproject.toml
setup(
    cmdclass={
        "build": BuildAndCompileCatalog,
    },
)
